---
author: [Felicitas Pojtinger]
date: "2023-01-28"
subject: "Uni Webdev Backend Topics"
keywords: [webdev-backend, hdm-stuttgart]
subtitle: "Topics for the webdev backend course at HdM Stuttgart"
lang: "de"
---

# Uni Webdev Backend Topics

## Meta

### Contributing

These study materials are heavily based on [professor Toenniessen's "Web Development Backend" lecture at HdM Stuttgart](https://www.hdm-stuttgart.de/bibliothek/studieninteressierte/bachelor/block?sgname=Mobile+Medien+%28Bachelor%2C+7+Semester%29&sgblockID=2573378&sgang=550041&blockname=Web+Development+Backend) and prior work of fellow students.

**Found an error or have a suggestion?** Please open an issue on GitHub ([github.com/pojntfx/uni-webdev-backend-notes](https://github.com/pojntfx/uni-webdev-backend-notes)):

![QR code to source repository](./static/qr.png){ width=150px }

If you like the study materials, a GitHub star is always appreciated :)

### License

![AGPL-3.0 license badge](https://www.gnu.org/graphics/agplv3-155x51.png){ width=128px }

Uni Webdev Backend Notes (c) 2023 Felicitas Pojtinger and contributors

SPDX-License-Identifier: AGPL-3.0
\newpage

## Topics

- Wenig Wissensfragen
- DIN A4 eigene Notizen erlaubt (Handschrift und nur Vorderseite)
- Grundlagen Node.js
- Basics in JavasScript
- Export/Import Module (aber nicht ES6)
- REST Endpoints und express.js
  - Keine Wissensfragen
  - HTTP Verben kennen
  - Endpoints schreiben können
  - params
  - query
- Middleware
  - next()
  - Exception Handling
  - Abfolge kennen
  - Wie mit Middelware abfangen
  - "Machen Sie es mit einer geeigneten Middleware"
- Template-Engine EJS
  - Session Handling
  - Engine einsetzen
  - Kommt dran!
- Datenbanken / MongoDB
  - Lese- und Schreibzugriffe schreiben können
  - Kommt dran!
  - Queries wichtig
  - Aggregate wichtig
  - Aufgaben dazu eher einfacher
  - Sowohl MongoDB-Client-Library als auch Mongoose
  - DB Verbindungsaufbau nicht wichtig
  - Mongoose Schema anlegen und validieren
  - Auch eher einfacher gehalten
  - Kommt dran!
- WebSockets kommt nicht dran!
- Joi und JWT kommt nicht dran!
- Foliensätze 1, 2, 3 und 4 relevant
